> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/cloud-artifact-data.md).

# cloudArtifactData

Cloud-related data for an artifact.

### Examples

```graphql
type CloudArtifactData {
  cloudIdentifier: String
  link: String
  lastExecutionTime: Float
  lastModifiedTime: Float
  account: String
  accountName: String
  zone: String
  cluster: String
  namespace: String
  runtimeImageTag: String
  instanceId: String
  customAttributes: [CustomAttribute]
  k8sLabels: [String]
  cloudDescription: CloudDescription
}
```

### Fields

| Field                                                                                                                    | Description                                                                                                                                                           | Supported fields                                                                                                                                                                                                                                                         |
| ------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| cloudIdentifier `String`                                                                                                 | Unique identifier for the cloud resource or artifact                                                                                                                  |                                                                                                                                                                                                                                                                          |
| link `String`                                                                                                            | URL or link to access the cloud resource or artifact                                                                                                                  |                                                                                                                                                                                                                                                                          |
| lastExecutionTime `Float`                                                                                                | Timestamp (epoch) of the last execution related to this artifact                                                                                                      |                                                                                                                                                                                                                                                                          |
| lastModifiedTime `Float`                                                                                                 | Timestamp (epoch) of the last modification time of the artifact                                                                                                       |                                                                                                                                                                                                                                                                          |
| account `String`                                                                                                         | Cloud account associated with the artifact                                                                                                                            |                                                                                                                                                                                                                                                                          |
| accountName `String`                                                                                                     | Human-readable cloud account name when available.                                                                                                                     |                                                                                                                                                                                                                                                                          |
| zone `String`                                                                                                            | Cloud availability zone or region                                                                                                                                     |                                                                                                                                                                                                                                                                          |
| cluster `String`                                                                                                         | Cluster name where the artifact is deployed or used                                                                                                                   |                                                                                                                                                                                                                                                                          |
| namespace `String`                                                                                                       | Namespace within the cluster                                                                                                                                          |                                                                                                                                                                                                                                                                          |
| runtimeImageTag `String`                                                                                                 | Image tag observed at runtime for the deployed artifact. Distinct from the registry tag because the same image digest can run under different tags across namespaces. |                                                                                                                                                                                                                                                                          |
| instanceId `String`                                                                                                      | EC2 (or other VM) instance identifier for images running outside Kubernetes.                                                                                          |                                                                                                                                                                                                                                                                          |
| customAttributes [`[CustomAttribute]`](/api-documentation/api-reference/api--issue/types/objects/custom-attribute.md)    | Customer-defined attributes attached to the deployed artifact.                                                                                                        | <p>key <code>String!</code><br>value <code>String!</code></p>                                                                                                                                                                                                            |
| k8sLabels `[String]`                                                                                                     | Kubernetes labels observed on the deployed artifact's workload.                                                                                                       |                                                                                                                                                                                                                                                                          |
| cloudDescription [`CloudDescription`](/api-documentation/api-reference/api--artifact/types/objects/cloud-description.md) | Additional descriptive details about the cloud resource                                                                                                               | <p>type <a href="/pages/QH3vBQDfDZV1uEmrD0BD"><code>CloudTypes</code></a><br>subType <a href="/pages/tnZE3Plbqoyly0NLIDOZ"><code>CloudSubTypes</code></a><br>cloudEntityAttributes <a href="/pages/ZXH8wqZaWaNGLbTf323G"><code>CommonCloudAttributesUnion</code></a></p> |

### References

#### Fields with this object:

* [{} ArtifactInfo.cloudData](/api-documentation/api-reference/api--artifact/types/objects/artifact-info.md)
* [{} UnscannedArtifact.cloudData](/api-documentation/api-reference/api--artifact/types/objects/unscanned-artifact.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/cloud-artifact-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
